from object import Thing
import pygame
import data
from constants import *
from math import *
import random


class Dropped(Thing):
    def __init__(self,color,pos):
        Thing.__init__(self)
        self.pos = pos
        self.direction = random.uniform(0,pi/2)
        self.facing = random.choice([1,-1])
        filename = 'feather_'+color+'.png'
        self.image = data.load_image(filename)
        self.rect = self.image.get_rect()
        self.rect.center = self.pos
        self.gravity = 800
        self.vx = self.facing*DROPPED_SPEED*cos(self.direction)
        self.vy = -DROPPED_SPEED*sin(self.direction)

    def move(self,dt):
        dv = self.gravity * dt / 1000
        self.vy += dv
        dx = self.vx*dt/1000
        dy = self.vy*dt/1000
        self.pos = (self.pos[0]+dx,self.pos[1]+dy)
        self.rect.center = self.pos
        if self.offscreen():
            self.kill()
