from object import Thing
import pygame
import data
from constants import *
import random

class Monkey(Thing):
    def __init__(self):
        Thing.__init__(self)
        color = random.choice(['red','green','blue','yellow'])
        self.direction = random.choice([1,-1])
        filename = 'monkey_skates_'+color+'.png'
        filename2 = 'monkey_skates_'+color+'2.png'
        self.leftimage = data.load_image(filename)
        self.rightimage = data.load_image(filename2) #todo: make a flipped version

        if self.direction >0:
            self.image = self.leftimage
            self.rect = self.image.get_rect()
            self.pos = 0.0
            self.rect.right = self.pos+1
        else:
            self.image = self.rightimage
            self.rect = self.image.get_rect()
            self.pos = GAME_RES[0]
            self.rect.left = self.pos-1
        self.rect.bottom = GAME_RES[1]
        self.returning = False

    def move(self,dt):
        if self.returning:
            self.pos -= ((MONKEY_SPEED*dt)/1000) *self.direction
        else:
            self.pos += ((MONKEY_SPEED*dt)/1000)*self.direction
        self.rect.right = self.pos
        if self.offscreen():
            self.kill()

    def change_direction(self):
        self.returning = True
        if self.direction > 0:
            self.image = self.rightimage
        else:
            self.image = self.leftimage
